searchNodes=[{"ref":"SlowpokeArc.html","title":"SlowpokeArc","type":"module","doc":"Provides a storage module for Arc. With this storage method, all images are stored locally first, then are queued to be uploaded to AWS, and after uploading is done, the local copy is deleted. Either an uploading is in progress or is already done, the returned url for the resource is always valid. Examples To use it, define your configured module: defmodule MyApp.Storage do use SlowpokeArc end and then you can add it to config: config :arc, storage: MyApp.Storage By default it uses Arc.Storage.Local for locally saved files and Arc.Storage.S3 for uploadings, but you can change this behavior by providing options when using. The example above is equivalent to the following one: defmodule MyApp.Storage do use SlowpokeArc, local_storage: Arc.Storage.Local, inet_storage: Arc.Storage.S3 end Configuration Configuration of storages is pretty much the same as with default arc storages: config :arc, storage: MyApp.Storage, storage_dir: &quot;/pictures_with_cats&quot;, bucket: &quot;&lt;your-bucket-name&gt;&quot;, virtual_host: true config :ex_aws, access_key_id: [&quot;&lt;your-key-id&gt;&quot;, :instance_role], secret_access_key: [&quot;&lt;your-secret-key&gt;&quot;, :instance_role], region: &quot;&lt;your-region&gt;&quot; Static You may want to replace your Plug.Static with the one that provides your storage: plug MyApp.Storage.StaticPlug, at: &quot;/uploads&quot;, from: {:my_app, &quot;uploads&quot;} See SlowpokeArc.StaticPlug for more details."},{"ref":"SlowpokeArc.StaticPlug.html","title":"SlowpokeArc.StaticPlug","type":"module","doc":"Manages serving static files uploaded to slowpoke_arc storage. It may be the case that when you returned an URL it was on local storage but when front-end party tried to load it, the resource was already uploaded on an inet storage and got deleted locally, so with default Plug.Static we get 404. This plug allows to redirect on requests to static files that hadn&#39;t been found locally. It accepts the very same parameters Plug.Static does, except it requires :arc_definition key, have which been not provided, raises MissingArcDefinition exception. slowpoke arc storage provides its own plug that passes :arc_definition key into options, so you shouldn&#39;t use this module directly."},{"ref":"SlowpokeArc.StaticPlug.MissingArcDefinition.html","title":"SlowpokeArc.StaticPlug.MissingArcDefinition","type":"exception","doc":"An exception thrown in case an :arc_definition was not provided."},{"ref":"readme.html","title":"SlowpokeArc","type":"extras","doc":"SlowpokeArc Provides a storage module for Arc. With this storage method, all images are stored locally first, then are queued to be uploaded to AWS, and after uploading is done, the local copy is deleted. Either an uploading is in progress or is already done, the returned url for the resource is always valid."},{"ref":"readme.html#usage","title":"SlowpokeArc - Usage","type":"extras","doc":"See hexdocs for details."},{"ref":"readme.html#installation","title":"SlowpokeArc - Installation","type":"extras","doc":"The package can be installed by adding slowpoke_arc to your list of dependencies in mix.exs: def deps do [ {:slowpoke_arc, &quot;~&gt; 0.2&quot;} ] end"}]